Skip to navigation

Get Instruction Suggestions Id Mentionable Users

View as Markdown

Lists up to 20 users, ordered by name, whom the caller can mention in a note on a suggestion the caller can see (organisation admins, the suggestion’s author, and users the caller can see who have access to its instruction), each with the sgid to embed in the note.

Authentication

AuthorizationBearer

OAuth 2.0 Client Credentials Flow. To obtain an access token:

  1. Request API credentials from HINDSITE support to receive your client_id and client_secret

  2. Make a POST request to obtain an access token:

POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
  1. The response will contain your access token:
{
  "access_token": "your_access_token_here",
  "token_type": "Bearer",
  "expires_in": 7200,
  "created_at": 1234567890
}
  1. Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here

Path parameters

idstringRequired

Query parameters

searchstringOptional

Case-insensitive substring match on the user’s name.

Response

get MentionableUser(s)

idstringOptional
ULID
emailstringOptional
namestringOptional
is_adminbooleanOptional
location_managerbooleanOptional
sgidstringOptional

Signed global ID. Embed it as <action-text-attachment sgid="..."></action-text-attachment> in a note’s content to mention this user.

Errors

404
Not Found Error